Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044625
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-07-17 10:322020-09-09 08:32
ReportercbernerView Statuspublic 
Assigned Toplatform 
PrioritynormalResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044625: Remove or fix xercesImpl.jar library to support eclipse java 11

DescriptionEclipse ecj compiler generates an error when xercesImpl.jar is present because it collides with JDK package org.w3c.dom.html. This jar is present in the ERP.

There's a bug reported on their website to fix this, but there seems to be no plan to fix it soon.[1]

This has to be fixed to support working with Eclipse on java 11.

[1] https://issues.apache.org/jira/browse/XERCESJ-1689 [^]
Steps To Reproduce1. Open an erp environment in Eclipse and set the compiler to Java 11.
2. Apply 44625_reproduce.diff attached to this issue.
3. Build project, errors should show up in the build process.
TagsNo tags attached.
Attached Filesdiff file icon 44625_reproduce.diff [^] (696 bytes) 2020-07-27 12:49 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0044624 closedplatform Remove Java 8 JDK Support and raise stack to Java 11 
blocks design defect 0044733 closedplatform Tracking issue: Find and fix all jar libaries with split packages between classpath and system image (Forbidden since Java9) 
blocks defect 0044973 closedplatform Stack Update for PR20Q4 release 
causes defect 0044999 closedcaristu xercesImpl updated causes errors on install.source in JDK8 

-  Notes
(0121505)
cberner (developer)
2020-07-17 11:56

Some work has been done in this MR trying to remove it.
https://gitlab.com/openbravo/product/openbravo/-/merge_requests/103 [^]

Problem found: nekohtml depends on it, and removing this generates more problems.
(0122421)
hgbot (developer)
2020-08-28 12:18

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/128 [^]
(0122704)
hgbot (developer)
2020-09-07 07:10

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/128 [^]
(0122705)
hgbot (developer)
2020-09-07 07:10

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: d1c5ec1eeac2370f9b2cce15859867e8d837e5ff
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 2020-09-03T14:14:29+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/d1c5ec1eeac2370f9b2cce15859867e8d837e5ff [^]

fixes BUG-44625: update xercesImpl library

  Update xercesImpl library to version 2.12.1. This version still
is not compatible with JDK11 as it already has a split package problem
with the org.w3c.dom.html. Note that there is a known issue[1] already
reported for this library to fix this.

  For this reason, apart from updating this library to the latest
version we are fixing the JDK11 split package problem by patching the
.jar library to remove the org.w3c.dom.html package which indeed only
contained a single class: HTMLDOMImplementation.

  [1] https://issues.apache.org/jira/browse/XERCESJ-1689 [^]

---
A lib/runtime/xercesImpl-2.12.1-patched.jar
M legal/Licensing.txt
M src-core/.classpath
M src-trl/.classpath
M src-wad/.classpath
R lib/runtime/xercesImpl.jar
---
(0122772)
caristu (developer)
2020-09-07 18:00

Reverted fix[1] as it causes problem in JDK8. See 0044999.

[1] https://gitlab.com/openbravo/product/openbravo/-/commit/04a8027732f7f54d6ce305ee02100a7f8724d924 [^]
(0122830)
caristu (developer)
2020-09-09 08:32

Finally the changes introduced with this issue has been reverted, and to solve the the split package problem, the current xerces library has been patched. See 0044999.

- Issue History
Date Modified Username Field Change
2020-07-17 10:32 cberner New Issue
2020-07-17 10:32 cberner Assigned To => platform
2020-07-17 10:32 cberner Modules => Core
2020-07-17 10:32 cberner Triggers an Emergency Pack => No
2020-07-17 10:32 cberner Relationship added blocks 0044624
2020-07-17 10:33 cberner Summary Remove or fix xercesImpl.jar to support eclipse java 11 => Remove or fix xercesImpl.jar library to support eclipse java 11
2020-07-17 10:33 cberner Description Updated View Revisions
2020-07-17 11:56 cberner Note Added: 0121505
2020-07-27 12:50 cberner File Added: 44625_reproduce.diff
2020-07-27 12:53 cberner Steps to Reproduce Updated View Revisions
2020-07-31 13:54 shuehner Relationship added blocks 0044733
2020-08-28 12:18 hgbot Note Added: 0122421
2020-09-03 09:52 caristu Relationship added blocks 0044973
2020-09-07 07:10 hgbot Resolution open => fixed
2020-09-07 07:10 hgbot Status new => closed
2020-09-07 07:10 hgbot Note Added: 0122704
2020-09-07 07:10 hgbot Fixed in Version => PR20Q4
2020-09-07 07:10 hgbot Note Added: 0122705
2020-09-07 10:39 caristu Issue cloned 0044999
2020-09-07 10:39 caristu Relationship added causes 0044999
2020-09-07 17:58 caristu Status closed => new
2020-09-07 17:58 caristu Resolution fixed => open
2020-09-07 17:58 caristu Fixed in Version PR20Q4 =>
2020-09-07 18:00 caristu Note Added: 0122772
2020-09-09 08:32 caristu Review Assigned To => caristu
2020-09-09 08:32 caristu Note Added: 0122830
2020-09-09 08:32 caristu Status new => closed
2020-09-09 08:32 caristu Resolution open => fixed
2020-09-09 08:32 caristu Fixed in Version => PR20Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker